Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.repository.impl
Class LocalFolderRepositoryFactoryPlugin

    java.lang.Object
      edu.stanford.smi.protegex.owl.repository.impl.LocalFolderRepositoryFactoryPlugin

All Implemented Interfaces:
  RepositoryFactoryPlugin

    public class LocalFolderRepositoryFactoryPlugin

extends Object
implements RepositoryFactoryPlugin

User: matthewhorridge
The University Of Manchester
Medical Informatics Group
Date: Sep 19, 2005

matthew.horridge@cs.man.ac.uk
www.cs.man.ac.uk/~horridgm

Field Summary

Fields inherited from interface edu.stanford.smi.protegex.owl.repository.factory.RepositoryFactoryPlugin
`PLUGIN_TYPE`

Constructor Summary
`LocalFolderRepositoryFactoryPlugin()`

Method Summary
`Repository` | `createRepository(OWLModel model, String s)` Creates a repository from the specified repository descriptor.
`boolean` | `isSuitable(OWLModel model, String s)` Determines if this plugin can create the appropriate repository from the specified `String`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LocalFolderRepositoryFactoryPlugin

    public LocalFolderRepositoryFactoryPlugin()

Method Detail

### isSuitable

    public boolean isSuitable(OWLModel model,
                              String s)

  Description copied from interface: `RepositoryFactoryPlugin`
  Determines if this plugin can create the appropriate repository from the specified `String`.

  Specified by:
    `isSuitable` in interface `RepositoryFactoryPlugin`
    `s` - The repository descriptor (This is typically a URI)
  Returns:
    `true` if the plugin can create an appropriate repository given the specified repository descriptor, or `false` if the plugin cannot create the appropriate repository.

### createRepository

    public Repository createRepository(OWLModel model,
                                       String s)

  Description copied from interface: `RepositoryFactoryPlugin`
  Creates a repository from the specified repository descriptor.

  Specified by:
    `createRepository` in interface `RepositoryFactoryPlugin`
    `s` - The repository descriptor.
  Returns:
    A `Repository` that is based on the specified repository descriptor.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.